1. tags
Openforge Catalog
  • blueprint
    • returns all blueprints
      GET
    • Creates a blueprint
      POST
    • returns a blueprint by id
      GET
    • Updates a blueprint
      PATCH
    • Deletes a blueprint
      DELETE
    • Returns a list of blueprint ids that match a tag head
      GET
    • Returns a list of tags and their metadata for a blueprint
      GET
    • Resets a list of tags for a blueprint. This will remove existing tags and replace them with the ones passed in
      POST
    • Deletes all tags for a blueprint.
      DELETE
    • Creates a single tag for a blueprint.
      POST
    • Deletes a single tag for a blueprint.
      DELETE
  • tags
    • Queries tags for a list of blueprint ids
      POST
  • images
    • returns all blueprints
      GET
  • image
    • Creates an image
      POST
    • returns a image by id
      GET
    • Updates an image
      PATCH
  • iamge
    • Deletes an image
      DELETE
  • Schemas
    • Schemas
      • Blueprint
      • Tag
      • TagQuery
      • Image
  1. tags

Queries tags for a list of blueprint ids

POST
/api/blueprints/tags
Returns blueprint ids

Request

Query Params

Body Params application/json

Example
{
    "require": [
        {
            "tag": "string"
        }
    ],
    "deny": [
        {
            "tag": "string"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/blueprints/tags' \
--header 'Content-Type: application/json' \
--data '{
    "require": [
        {
            "tag": "string"
        }
    ],
    "deny": [
        {
            "tag": "string"
        }
    ]
}'

Responses

🟢200OK
application/json
list of blueprint ids
Bodyapplication/json

Example
{
    "total_count": 0,
    "next_paging": "string",
    "blueprints": [
        {
            "id": "string",
            "blueprint_name": "string",
            "blueprint_type": "model",
            "blueprint_config": {},
            "file_md5": "string",
            "file_size": 0,
            "file_name": "string",
            "full_name": "string",
            "file_changed_at": "2019-08-24T14:15:22.123Z",
            "file_modified_at": "2019-08-24T14:15:22.123Z",
            "storage_address": "string",
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "tags": [
                "string"
            ],
            "images": [
                {
                    "image_name": "string",
                    "image_url": "string"
                }
            ]
        }
    ],
    "tag_counts": [
        {}
    ]
}
Modified at 2025-01-25 05:24:55
Previous
Deletes a single tag for a blueprint.
Next
returns all blueprints
Built with